class UserFeedbackMessage < ActiveRecord::Base
  attr_accessible :journals_for_message_id, :journals_for_message_type, :user_id, :viewed

  belongs_to :journals_for_message
  belongs_to :user
  has_many :message_alls, :class_name => 'MessageAll',:as =>:message, :dependent => :destroy

  validates :user_id,presence: true
  validates :journals_for_message_id,presence: true
  validates :journals_for_message_type, presence: true
  after_save :add_user_message

  def add_user_message
    if MessageAll.where("message_type = '#{self.class.to_s}' and message_id = '#{self.id}'").first.nil?
      self.message_alls << MessageAll.new(:user_id => self.user_id)
    end
  end
end
